Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class AbstractThreadUnsafeSortedColumns

    java.lang.Object
      org.apache.cassandra.db.AbstractThreadUnsafeSortedColumns

All Implemented Interfaces:
  java.lang.Iterable<IColumn>, ISortedColumns, IIterableColumns

Direct Known Subclasses:
  ArrayBackedSortedColumns, ThreadSafeSortedColumns, TreeMapBackedSortedColumns

    public abstract class AbstractThreadUnsafeSortedColumns

extends java.lang.Object
implements ISortedColumns

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.cassandra.db.ISortedColumns
`ISortedColumns.DeletionInfo, ISortedColumns.Factory`

Constructor Summary
`AbstractThreadUnsafeSortedColumns()`

Method Summary
`abstract void` | `addAll(ISortedColumns columns, Allocator allocator, com.google.common.base.Function<IColumn,IColumn> transformation)` Adds the columns without necessarily computing the size delta
`long` | `addAllWithSizeDelta(ISortedColumns cm, Allocator allocator, com.google.common.base.Function<IColumn,IColumn> transformation)` Adds all the columns of a given column map to this column map.
`void` | `delete(ISortedColumns.DeletionInfo newInfo)`
`ISortedColumns.DeletionInfo` | `getDeletionInfo()`
`int` | `getEstimatedColumnCount()`
`boolean` | `isEmpty()` Returns true if this map is empty, false otherwise.
`void` | `maybeResetDeletionTimes(int gcBefore)`
`void` | `retainAll(ISortedColumns columns)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cassandra.db.ISortedColumns
`addColumn, clear, cloneMe, getColumn, getColumnNames, getFactory, getReverseSortedColumns, getSortedColumns, isInsertReversed, iterator, removeColumn, replace, reverseIterator, reverseIterator, size`

Methods inherited from interface org.apache.cassandra.io.util.IIterableColumns
`getComparator`

Methods inherited from interface java.lang.Iterable
`iterator`

Constructor Detail

### AbstractThreadUnsafeSortedColumns

    public AbstractThreadUnsafeSortedColumns()

Method Detail

### getDeletionInfo

    public ISortedColumns.DeletionInfo getDeletionInfo()

  Specified by:
    `getDeletionInfo` in interface `ISortedColumns`

### delete

    public void delete(ISortedColumns.DeletionInfo newInfo)

  Specified by:
    `delete` in interface `ISortedColumns`

### maybeResetDeletionTimes

    public void maybeResetDeletionTimes(int gcBefore)

  Specified by:
    `maybeResetDeletionTimes` in interface `ISortedColumns`

### retainAll

    public void retainAll(ISortedColumns columns)

  Specified by:
    `retainAll` in interface `ISortedColumns`

### addAllWithSizeDelta

    public long addAllWithSizeDelta(ISortedColumns cm,
                                    Allocator allocator,
                                    com.google.common.base.Function<IColumn,IColumn> transformation)

  Description copied from interface: `ISortedColumns`
  Adds all the columns of a given column map to this column map. This is equivalent to: `for (Column c : cm) add(c);` but is potentially faster.

  Specified by:
    `addAllWithSizeDelta` in interface `ISortedColumns`
  Returns:
    the difference in size seen after merging the given columns

### addAll

    public abstract void addAll(ISortedColumns columns,
                                Allocator allocator,
                                com.google.common.base.Function<IColumn,IColumn> transformation)

  Description copied from interface: `ISortedColumns`
  Adds the columns without necessarily computing the size delta

  Specified by:
    `addAll` in interface `ISortedColumns`

### isEmpty

    public boolean isEmpty()

  Description copied from interface: `ISortedColumns`
  Returns true if this map is empty, false otherwise.

  Specified by:
    `isEmpty` in interface `ISortedColumns`

### getEstimatedColumnCount

    public int getEstimatedColumnCount()

  Specified by:
    `getEstimatedColumnCount` in interface `IIterableColumns`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation